cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test-all \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"recordId":"string","sideEffect":true,"withDependency":true,"property1":null,"property2":null}'trueautomation
Post base workflow test all
test a automation workflow all
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
test-all
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/test-all \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"recordId":"string","sideEffect":true,"withDependency":true,"property1":null,"property2":null}'trueAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Successful updated
The response is of type boolean.
Last modified on March 5, 2026
Was this page helpful?
⌘I

